# class Chef::GuardInterpreter::DefaultGuardInterpreter

### Public Class Methods

new(command, opts) click to toggle source

    # File lib/chef/guard_interpreter/default_guard_interpreter.rb, line 26
    def initialize(command, opts)
      @command = command
      @command_opts = opts
    end

### Public Instance Methods

evaluate() click to toggle source

    # File lib/chef/guard_interpreter/default_guard_interpreter.rb, line 33
    def evaluate
      shell_out(@command, @command_opts).status.success?
    rescue Chef::Exceptions::CommandTimeout
      Chef::Log.warn "Command '#{@command}' timed out"
      false
    end